<div nz-row nzJustify="space-around">
  <div nz-col nzXs="20" nzSm="7">
    <h4 style="text-align: center; margin-top: 30px; margin-bottom: 15px">
      {{ 'Military.Battles.SelectActiveBattle' | translate }}
    </h4>
    <nz-select
      [(ngModel)]="selectedBattle"
      (ngModelChange)="selectedBattleChange()"
      style="width: 100%"
    >
      <nz-option
        *ngFor="let battle of battles"
        nzLabel="{{ battle.countryAttacking.name }} vs {{
          battle.countryDefending.name
        }}"
        [nzValue]="battle"
      >
      </nz-option>
    </nz-select>
  </div>
</div>
<nz-spin nzTip="Loading..." [nzSpinning]="isLoading">
  <div nz-row nzJustify="space-around">
    <div nz-col nzXs="20" nzMd="7">
      <h2 style="text-align: center; margin-top: 30px; margin-bottom: 15px">
        {{ selectedBattle?.countryAttacking.name }}
      </h2>
    </div>
    <div nz-col nzXs="20" nzMd="7">
      <h3 style="text-align: center; margin-top: 30px; margin-bottom: 15px">
        vs
      </h3>
    </div>
    <div nz-col nzXs="20" nzMd="7">
      <h2 style="text-align: center; margin-top: 30px; margin-bottom: 15px">
        {{ selectedBattle?.countryDefending.name }}
      </h2>
    </div>
    <div nz-col nzXs="22" nzMd="16">
      <div>
        <app-chart
          *ngIf="!isLoading"
          [labels]="selectedBattle.labels"
          [datasets]="selectedBattle.data"
          [options]="selectedBattle.options"
          type="bar"
        ></app-chart>
      </div>
    </div>
  </div>
</nz-spin>
